Name:    libkpeople
Summary: Meta-contact aggregation library
Version: 0.3.0
Release: 1%{?dist}

License: LGPLv2+
URL:     https://projects.kde.org/projects/playground/network/libkpeople
Source0: http://download.kde.org/unstable/%{name}/%{version}/src/%{name}-%{version}.tar.bz2

BuildRequires: gettext
BuildRequires: kdelibs4-devel > 4.10.1
BuildRequires: kdepimlibs-devel

%description
A library that provides access to all contacts and the people who hold them.

%package devel
Summary: Development files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
%description devel
%{summary}.


%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang libkpeople


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f libkpeople.lang
%doc COPYING
%{_kde4_appsdir}/kpeople/
%{_kde4_libdir}/libkpeople.so.4.3.0
%{_kde4_libdir}/libkpeople.so.4
%{_kde4_libdir}/libkpeoplewidgets.so.4.3.0
%{_kde4_libdir}/libkpeoplewidgets.so.4
%{_kde4_libdir}/kde4/*plugin.so
%{_kde4_datadir}/kde4/services/*.desktop
%{_kde4_datadir}/kde4/servicetypes/*.desktop

%files devel
%{_kde4_includedir}/kpeople/
%{_kde4_includedir}/KPeople/
%{_kde4_libdir}/libkpeople.so
%{_kde4_libdir}/libkpeoplewidgets.so
%{_kde4_libdir}/cmake/KPeople/KPeopleConfig.cmake
%{_kde4_libdir}/cmake/KPeople/KPeopleConfigVersion.cmake

%changelog
* Wed Sep 17 2014 Jan Grulich <jgrulich@redhat.com> - 0.3.0-1
- Update to 0.3.0

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Apr 25 2014 Jan Grulich <jgrulich@redhat.com> 0.2.2-1
- 0.2.2

* Tue Feb 25 2014 Jan Grulich <jgrulich@redhat.com> - 0.2.1-1
- Update to 0.2.1

* Tue Sep 24 2013 Rex Dieter <rdieter@fedoraproject.org> - 0.0.80-1
- initial packaging

